# Chapter2.py

# Python Core - you get these functions automatically
# Python Standard - installed with core, but you need to import them into your program
# PIP - package installation programs you install pip pypi.org
# Flask - web services
# Custom Modules - your stuff your code your functions

# Page 50 -  5 commom core python functions
# print() functionName print decorated (tuple)
# print() empty function Not passing data to the funtion
print()   # output a blank line
# print('Hello', 'Bob') parameterized function
# print('Bob','Smith', state='Florida') Query String or Default parameter. if state is passed, use data passed, else Florida
print('Bob Smith') # stdout

# page 52 input()
firstName = input("Enter your first name: ")
lastName = input("Enter your last name: ")
age = input("Enter your age: ") # string

######### ALL INPUTS ARE STRINGS BY DEFAULT ##########
# 2 methods to explicitly define the type
age1 = int(input("Enter your age: ")) # int() at input() always int
i_age = int(age) # convert as needed

# int() float() round() page 54
price = float(52.3457) 
price1 = 78.52648
price1_rounded = round(price1, 2)
print(price1_rounded) 

# Exit code 0 - code passed
# Exit code 1 - code failed > Error handling control EC1

# Errors
# Syntax Errors Terminal Problems Tab Red Warning
# Runtime Errors Syntax correct Program can't run
# Exception Errors During execution fails
# Assertion Errors # Expected vs Actual


# Chaining Functions page 54
firstName = input("Enter your first name: ").title()
# with purpose   input() function title() function strip() function
print(firstName) #        Bob  
firstName_strip = firstName.strip()
print(firstName_strip)  #Bob
lastName_strip = input("Enter your last name: ").title().strip()
print(lastName)